DELETE FROM t_cross_dir_data_hist
WHERE start_time >= '2024-04-02 00:00:00' AND start_time <= '2024-04-03 00:00:00';

DELIMITER $$

CREATE PROCEDURE InsertRandomData()
BEGIN
    DECLARE startDateTime DATETIME;
    DECLARE endDateTime DATETIME;
    DECLARE currentDateTime DATETIME;
    DECLARE randomChar1 CHAR(1);
    DECLARE randomChar2 CHAR(1);
    DECLARE allChars VARCHAR(36);

    SET startDateTime = '2024-04-02 00:00:00';
    SET endDateTime = '2024-04-03 00:00:00';
    SET currentDateTime = startDateTime;
    SET allChars = 'ABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789';

    WHILE currentDateTime < endDateTime DO
            SET randomChar1 = SUBSTRING(allChars, FLOOR(RAND() * 36) + 1, 1);
            SET randomChar2 = SUBSTRING(allChars, FLOOR(RAND() * 36) + 1, 1);

            INSERT INTO t_cross_dir_data_hist (id, dir_type, in_out_type, cross_id, length, status, traffic_index, start_time, capacity, duration, flow, speed, queue_length, stop_times, delay_time, sturation, no_stop_rate, one_stop_rate, two_stop_rate, three_stop_rate, batch_time, effusion_rate, green_light_efficiency)
            VALUES
                (CONCAT('0VHGU0745B0_1_', randomChar1, '_', randomChar2), 1, 1, '0VHGU0745B0', RAND() * 1000, FLOOR(RAND() * 5) + 1, 0.4 + (RAND() * 0.2), currentDateTime, FLOOR(5 + (RAND() * 16)), FLOOR(RAND() * 60) + 10, FLOOR(5 + (RAND() * 11)), RAND() * 120, FLOOR(10 + (RAND() * 21)), RAND() * 10, FLOOR(RAND() * 300) + 10, RAND(), RAND(), RAND(), RAND(), RAND(), UNIX_TIMESTAMP(currentDateTime), RAND(), RAND()),
                (CONCAT('0VHGU0745B0_3_', randomChar1, '_', randomChar2), 3, 1, '0VHGU0745B0', RAND() * 1000, FLOOR(RAND() * 5) + 1, 0.4 + (RAND() * 0.2), currentDateTime, FLOOR(5 + (RAND() * 16)), FLOOR(RAND() * 60) + 10, FLOOR(5 + (RAND() * 11)), RAND() * 120, FLOOR(10 + (RAND() * 21)), RAND() * 10, FLOOR(RAND() * 300) + 10, RAND(), RAND(), RAND(), RAND(), RAND(), UNIX_TIMESTAMP(currentDateTime), RAND(), RAND()),
                (CONCAT('0VHGU0745B0_5_', randomChar1, '_', randomChar2), 5, 1, '0VHGU0745B0', RAND() * 1000, FLOOR(RAND() * 5) + 1, 0.4 + (RAND() * 0.2), currentDateTime, FLOOR(5 + (RAND() * 16)), FLOOR(RAND() * 60) + 10, FLOOR(5 + (RAND() * 11)), RAND() * 120, FLOOR(10 + (RAND() * 21)), RAND() * 10, FLOOR(RAND() * 300) + 10, RAND(), RAND(), RAND(), RAND(), RAND(), UNIX_TIMESTAMP(currentDateTime), RAND(), RAND());

            SET currentDateTime = ADDTIME(currentDateTime, '0:5:0');
        END WHILE;
END$$

DELIMITER ;

CALL InsertRandomData();

DROP PROCEDURE IF EXISTS InsertRandomData;

