DELETE FROM t_cross_data_hist
WHERE start_time >= '2024-04-02 00:00:00' AND start_time <= '2024-04-03 00:00:00';

DELIMITER $$

CREATE PROCEDURE InsertRandomData()
BEGIN
    DECLARE startTime TIMESTAMP;
    DECLARE endTime TIMESTAMP;
    DECLARE currentTime TIMESTAMP;

    SET startTime = '2024-04-02 00:00:00';
    SET endTime = '2024-04-03 00:00:00';
    SET currentTime = startTime;

    WHILE currentTime <= endTime DO
            INSERT INTO t_cross_data_hist (
                cross_id, status, type, traffic_index, start_time, duration,
                is_unbalance, is_spillover, is_congestion, unbalance_index,
                spillover_index, congestion_index, unbalance_dirs, spillover_dirs,
                congestion_dirs, flow, flow_rate, speed, queue_length, stop_times,
                delay_time, sturation, batch_time, gmt_create, gmt_modified, clear_rate,
                not_clear_car_nums, load_balance, green_light_efficiency, effusion_rate,
                no_stop_rate, one_stop_rate, two_stop_rate, three_stop_rate, end_time
            ) VALUES (
                         '0VHGU0745B0', FLOOR(RAND() * 5), FLOOR(RAND() * 3), RAND() * 10,
                         currentTime, FLOOR(RAND() * 121), FLOOR(RAND() * 2), FLOOR(RAND() * 2),
                         FLOOR(RAND() * 2), RAND() * 100, RAND() * 100, RAND() * 100,
                         LPAD(FLOOR(RAND() * 10000), 4, '0'), LPAD(FLOOR(RAND() * 10000), 4, '0'),
                         LPAD(FLOOR(RAND() * 10000), 4, '0'), FLOOR(80 + RAND() * 31), RAND() * 100,
                         FLOOR(40 + RAND() * 21), FLOOR(90 + RAND() * 61), RAND() * 10, FLOOR(4 + RAND() * 7),
                         RAND() * 100, UNIX_TIMESTAMP(currentTime), NOW(), NOW(), RAND(),
                         FLOOR(RAND() * 501), RAND() * 100, RAND(), RAND(), RAND(), RAND(),
                         RAND(), RAND(), DATE_ADD(currentTime, INTERVAL FLOOR(RAND() * 121) MINUTE)
                     );

            SET currentTime = ADDTIME(currentTime, '0:05:00');
        END WHILE;
END$$

DELIMITER ;

CALL InsertRandomData();

DROP PROCEDURE IF EXISTS InsertRandomData;
